
{% load static %}
{% load custom_tags %}
{% load humanize %}
{% load mathfilters %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Surat Perintah Kerja (SPK)</title>
    <style>
        body {
            font-family: 'Times New Roman', Times, serif !important;
            line-height: 1.5 !important;
            color: #000 !important;
        }
        .npwp {
            display: flex;
            align-items: center;
        }
        .npwp .box {
            display: flex;
            align-items: center;
        }
        .npwp .box div {
            width: 30px;
            height: 30px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 18px;
        }
        .box-pajak div {
            width: 25px;
            height: 25px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 18px;
        }
        .box-tahun div {
            width: 25px;
            height: 25px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 18px;
        }

        .no-box{
            border: none !important;
        }
        .border-dotted {
    border-bottom-style: dotted !important;
    border-bottom-width: 1px !important; /* Ubah sesuai kebutuhan */
}



    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}">
</head>
<body onload="">
    <div class="container">
        <div class="row">
            <div class="col-4 border border-dark border-3 border-left-0 border-top-0">
                <div class="row">
                    <div class="col-3 d-flex justify-content-center align-items-center mb-4">
                        <img src="{{url_app}}{% static 'admin/images/logo_pajak.png' %}" alt="Logo" class="logo" width="80px">
                    </div>
                    <div class="col-9 text-center">
                        <span>DEPARTEMEN KEUANGAN R.I</span>
                        <span>DIREKTORAT JENDRAL PAJAK</span>
                        <span>KANTOR PELAYANAN PAJAK</span>
                        <div class="mt-3 mb-4">.................................</div>
                    </div>
                </div>

            </div>
            <div class="col-4 text-center border border-dark border-3 border-left-0 border-top-0">
                <h5 class="m-0">SURAT SETORAN PAJAK</h5>
                <h1 class="mt-1"><b>(SSP)</b></h1>
            </div>
            <div class="col-4 d-flex justify-content-center border border-dark border-3 border-left-0 border-top-0 border-right-0">
                <div class="mr-3">LEMBAR</div>
                <div class="py-2"><span class=" border border-dark border-3 px-3 py-2" style="font-size: 20pt; font-weight: bold;">1</span></div>
            </div>
        </div>
        <div class="row border border-dark border-3 border-top-0">
            <table class="col-12 mt-4 mb-4 mx-2 w-100 py-4">
                <tr>
                    <td class="align-middle" width="100px"><span style="font-size: 12pt; font-weight: bold;">NPWP</span></td>
                    <td width="30px">:</td>
                    <td class="text-center py-4">
                        <span id="no_npwp" class="d-none align-top">{{dt_spk.perusahaan.npwp}}</span>
                        <div class="npwp">
                            <div class="box">
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"style="font-size: 9pt;" ><i>Diisi sesuai dengan Nomor Pokok Wajib Pajak yang dimiliki</i></td>
                </tr>
                <tr>
                    <td class="align-middle py-4" width="100px"><span style="font-size: 12pt; font-weight: bold;">NAMA WP</span></td>
                    <td width="30px">:</td>
                    <td>
                        <span class=" d-block mr-4 border-dotted">
                            {{dt_spk.perusahaan.namaperusahaan|upper}}
                        </span>
                    </td>
                    
                </tr>
                <tr>
                    <td class="align-middle" width="100px"><span style="font-size: 12pt; font-weight: bold;">ALAMAT</span></td>
                    <td width="30px">:</td>
                    <td>
                        <span class=" d-block mr-4 border-dotted">
                            {{dt_spk.perusahaan.alamatperusahaan|title}}
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="align-bottom pt-4" width="100px"><span style="font-size: 12pt; font-weight: bold;"></span></td>
                    <td width="30px"></td>
                    <td>
                        <span class=" d-block mr-4 pt-3 border-dotted">
                            &nbsp;&nbsp;&nbsp;&nbsp;
                        </span>
                    </td>
                </tr>
            </table>

        </div>
        <div class="row border border-dark border-3 border-top-0">
            <div class="col-5 border border-dark border-3 border-top-0 border-left-0 border-bottom-0">
                <div class="container-left row mt-3">
                    <div class="element-left col-7">
                        <span>MAP Kode Jenis Pajak</span>
                        <div class="box-pajak d-flex">
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                        </div>
                    </div>
                    <div class="element-right col-5">
                        <span>Kode Jenis Setoran</span>
                        <div class="box-pajak d-flex">
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-7">
                <div class="content-top text-center mt-3">
                    <span>Uraian Pendapatan</span>
                    <span class=" d-block border-dotted">
                        {{fakturpajakrincian_list.pajak.uraipajak}} Pembayaran 100% atas pekerjaan
                    </span>
                </div>
                <div class="content-bottom text-left mt-5 mb-4">
                    <span class=" d-block border-dotted">
                        <b><i>{{dt_spk.subkegiatan.kegiatan_nama}}, {{dt_spk.uraipekerjaan|title}}</i></b>
                    </span>
                </div>
            </div>
            
        </div>
        <div class="row border border-dark border-3 border-top-0 p-0">
            <div class="col-8 border border-dark border-3 border-top-0 border-left-0 border-bottom-0 p-0">
                <table class="w-100">
                    <tr>
                        <td class="text-center" colspan="12">Masa Pajak</td>
                    </tr>
                    <tr>
                        <td class="border border-dark py-3 text-center border-3 ">Jan</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Feb</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Mar</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Apr</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Mei</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Jun</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Jul</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Ags</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Sep</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Okt</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Nop</td>
                        <td class="border border-dark py-3 text-center border-3 border-left-0 ">Des</td>
                    </tr>
                </table>
                <tr>
                    <td class="border border-dark py-3 text-center border-3 border-bottom-0 border-left-0" colspan="12" ><i style="font-size: 9pt !important;">Diisi sesuai dengan Nomor Pokok Wajib Pajak yang dimiliki</i></td>
                </tr>
            </div>
            <div class="col-4">
                <div class="content-tahun text-center">
                    <span> Tahun</span>
                    <span id="tahun" class="d-none align-top">{{dt_spk.tahapan.tahun.tahun|intcomma_no_decimal}}</span>
                    <div class="box-tahun d-flex justify-content-center">
                    </div>
                    <span style="font-size: 9pt;" ><i>Diisi tahun tertanggal pajak</i></span>
                </div>
            </div>
            
        </div>
        <div class="row border border-dark border-3 border-top-0">
            <table class="col-12 mt-4 mx-2 w-100 pt-3">
                <tr>
                    <td class="align-middle" width="150px"><span style="font-size: 12pt; font-weight: bold;">Nomor Ketetapan</span></td>
                    <td width="30px">:</td>
                    <td class="text-center pt-2">
                        <div class="box-pajak d-flex">
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div>/</div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div>/</div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div>/</div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                            <div>/</div>
                            <div class="border border-dark border-2"></div>
                            <div class="border border-dark border-2"></div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="3" style="font-size: 9pt !important;" ><i>Diisi sesuai dengan Nomor Ketetapan. STP.SKPKB.SKPKBT</i></td>
                </tr>
            </table>

        </div>
        <div class="row border border-dark border-3 border-top-0 p-0">
            <div class="col-4 border border-dark border-3 border-top-0 border-left-0 border-bottom-0 px-3">
                <div class="content-pembayaran mt-3">
                    <div><b>Jumlah Pembayaran</b></div>
                    <div style="font-size: 9pt;" ><i>Diisi dengan rupiah penuh</i></div>
                    <div class="d-flex justify-content-between w-100 mt-5 mb-3">
                        <span>Rp.</span>
                        <span>{{fakturpajakrincian_list.nilaipajak|floatformat:0}}</span>
                        <span>&nbsp;</span>
                        <span>&nbsp;</span>
                    </div>
                </div>
            </div>
            <div class="col-8">
                <table class="w-100 mt-3">
                    <tr>
                        <td class="align-middle" width="100px"><span style="font-size: 12pt; font-weight: bold;">Terbilang</span></td>
                        <td class="align-middle" width="30px">:</td>
                        <td class="text-bottom">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td class="text-bottom pt-3 pb-3">
                            <span class="d-block mr-5 border-dotted" style="font-size: 12pt; font-weight: bold;">
                                {{ fakturpajakrincian_list.nilaipajak|floatformat:0|cut:"."|cut:","|terbilang }}
                            </span>
                        </td>
                    </tr>
                </table>
            </div>
            
        </div>
        <div class="row border border-dark border-3 border-top-0 p-0">
            <div class="col-6 border border-dark border-3 border-top-0 border-left-0 text-center border-bottom-0 px-3">
                <div><strong>Diterima Oleh Kantor Penerima Pembayaran</strong></div>
                <div><strong>Tanggal ..............</strong></div>
                <div style="font-size: 9pt;" ><i>Cap dan tanda tangan</i></div>
                <br><br><br><br>
                
                <div class="text-left mt-5"><strong>Nama Jelas :</strong></div>
            </div>
            <div class="col-6">
                <div class="ttd text-center">
                    <div><strong>Wajib Pajak/Penyetor</strong></div>
                    <div>Kigamani, {{tgl_print|date:"j F Y"}} </div>
                    <div style="font-size: 9pt;" ><i>Cap dan tanda tangan</i></div>
                    <div><strong>{{dt_spk.perusahaan.namaperusahaan|upper}}</strong></div>
                    <br><br><br>
                    <div class="text-left mt-5">
                        <table>
                            <tr>
                                <td><strong>Nama Jelas :</strong></td>
                                <td class="text-center border-dotted"><strong>{{dt_spk.perusahaan.namadirektur|upper}}</strong></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td width="300px" class="text-center"><strong>PIMPINAN</strong></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            
        </div>
        <div class="row border border-dark border-3 border-top-0 p-0">
            <div class="col-12">
                <div><strong>Ruang Validasi Kantor Penerima Pembayaran</strong></div>
                <br><br><br><br><br>
            </div>
        </div>
        <div style="font-size: 9pt;" ><i>Diisi sesuai buku petunjuk pengisian</i></div>
    </div>

</body>
</html>
{% block scripts_bawah %}
<script>
    document.addEventListener("DOMContentLoaded", function () {
        let npwpText = document.getElementById("no_npwp").textContent.trim();
        let boxContainer = document.querySelector(".npwp .box");
        let tahunText = document.getElementById("tahun").textContent.trim();
        let boxContainerTahun = document.querySelector(".box-tahun");

        npwpText.split("").forEach(char => {
            let div = document.createElement("div");
            if (char === "." || char === "-") {
                div.classList.add("no-box"); // Jika karakter adalah . atau -, gunakan class no-box
            } else {
                div.classList.add("border", "border-dark", "border-2"); // Bootstrap border untuk angka
            }
            div.textContent = char;
            boxContainer.appendChild(div);
        });
        tahunText.split("").forEach(char => {
            let div = document.createElement("div");
            if (char === "." || char === "-") {
                div.classList.add("no-box"); // Jika karakter adalah . atau -, gunakan class no-box
            } else {
                div.classList.add("border", "border-dark", "border-2", "px-4"); // Bootstrap border untuk angka
            }
            div.textContent = char;
            boxContainerTahun.appendChild(div);
        });
    });
</script>
{% endblock scripts_bawah %}